Imports System.Text
Imports System.Drawing
Imports System.Windows.Forms
Imports System.Runtime.InteropServices

Imports AgkSharp

Friend Class Core

    #Region "Constructor(s)"

        Friend Sub New()

        End Sub

    #End Region


    #Region "Class Level Declarations"

        Private BreakLoop  As Boolean

    #End Region


    #Region "Friend Methods"
        Friend Shared Function LoopAGK() As Boolean

            Application.DoEvents()

            If (Agk.IsCapturingImage()) > 0 Then
                System.Threading.Thread.Sleep(10)
            End If

            Return (True)
        End Function

        Friend Shared Sub CleanUp()
            Agk.CleanUp()
        End Sub

    #End Region

End Class
